//******************************************************************************
//   ____                 _       __           ____               ___ 
//  / __ \____  ___  ____| |     / /___ ______/ __/___ _________ |__ \
// / / / / __ \/ _ \/ __ \ | /| / / __ `/ ___/ /_/ __ `/ ___/ _ \__/ /
/// /_/ / /_/ /  __/ / / / |/ |/ / /_/ / /  / __/ /_/ / /  /  __/ __/ 
//\____/ .___/\___/_/ /_/|__/|__/\__,_/_/  /_/  \__,_/_/   \___/____/ 
//   /_/               We make the game you play BETTER.
//              OpenWarfare website: http://openwarfaremod.com/
//
//                  OpenWarfare2 website: http://http://www.teamfr.fr/
//******************************************************************************
//******************************************************************************
// PLEASE REMEMBER TO UNCOMMENT THE LINES BY REMOVING THE DOUBLE SLASHES (//)
//
// IMPORTANT.........
// WHEN CHANGING A VALUE. PLEASE DO NOT UNCOMMENT LINES SET TO DEFAULT VALUES.
//******************************************************************************


//******************************************************************************************************
// New dvar for fix bug with weapon index mismatch error just add the map name like this "Thx to Poenix"
//******************************************************************************************************
// set weap_reverse_load_mp_xxx "1"

// Notes: If you are getting an weapon index mismatch error. Add weap_reverse_load_mp_mapname below (mp_mapname is for example the map mp_fav)
set weap_reverse_load_mp_crash "1"
set weap_reverse_load_mp_fav "1"

//******************************************************************************
// system color scoreboard and obituaries
//******************************************************************************
// Enable the system color
// 0 = Disabled (default), 1 = cyan, 2 = pink, 3 = white, 4 = blue, 5 = green, 6 = yellow, 7 = red, 8 = orange, 9 = black

set scr_system_color_scoreboard_axis "5"
set scr_system_color_scoreboard_allies "7"
set scr_system_color_scoreboard_spectator "8"


//******************************************************************************
// Bulletholes
//******************************************************************************
// 0 = Disabled (default), 1 to 10 secondes to fade bullet 
// set scr_bulletholes "3"

//******************************************************************************
// Overheating
//******************************************************************************
// Overheating
// 0 = Disabled (default), 1 = Enabled 

// set scr_turretoverheat "1"
// set scr_turretoverheat_heatrate "2"
// set scr_turretoverheat_coolrate "2"


//******************************************************************************
// Force laser sight fx
//******************************************************************************
// 0 = Disabled (default), 1 = Enabled
// set scr_force_laser "0"


//******************************************************************************
// HARDPOINTS
//******************************************************************************

// NEW - place a custom height here in case the one built into the map is missing.
// Note - maps that use the height modifier will alter this value
// Example:
// set scr_airstrike_height_maplist "mp_pb_frost;1900"

// Enable-Disable grain on air support view (ac130, pavelow etc). Default is 1.
set scr_airsupport_hud_grain "0"

//******************************************************************************
// Counter UAV - also uses UAV height dvar
//******************************************************************************
// set scr_hardpoint_allow_counteruav "0"
// set scr_announce_enemy_counteruav_online "1"

//******************************************************************************
// Care Packages and Strike Packages
//******************************************************************************
// set scr_hardpoint_allow_carepackage "1"
// set scr_hardpoint_allow_strikepackage "1"

// set scr_announce_enemy_carepackage_inbound "1"

// Use AC130 drop instead of heli. Maps without heli support automatically use ac130.
// set scr_carepackage_ac130 "1" //default 0

// Set the helicopter to drop immediately instead of hovering first. (Less likely SAMs will hit it). Default 1.
// set scr_carepackage_heli_nostop "1"

// Time before the care package explodes, in minutes
// scr_carepackage_timer "5" //Default 5. Range 5 - 15

// Time in seconds it takes secure or hack the package. Owners require 1/2 of this amount.
// set scr_carepackage_capture_time "3" //Default 3. Range 2-6. MW3 default is 3 seconds.

// set scr_carepackage_health "300" // Default 500. Range 300 - 1000

// Chance a care package will explode if stolen by a friendly other than the owner.
// set scr_carepackage_friendly_explode "49" //default 0, range 0-50 percent.

// Do not uncomment default settings (default 1).
// NOTE: If either package type is to be disabled then shut off the perk for it instead.

// Available only in the care package.
//set scr_carepackage_allow_bodyarmor "0"
//set scr_carepackage_allow_counteruav "0"
//set scr_carepackage_allow_resupply "0"
//set scr_carepackage_allow_sam_turret "0"
//set scr_carepackage_allow_radar "0"

// Available in both the care package and strike package
//set scr_carepackage_allow_ac130 "0"
//set scr_carepackage_allow_airstrike "0"
//set scr_carepackage_allow_artillery "0"
//set scr_carepackage_allow_overwatch "0"
//set scr_carepackage_allow_hammer "0"
//set scr_carepackage_allow_helicopter "0"
//set scr_carepackage_allow_mininuke "0"
//set scr_carepackage_allow_predator "0"
//set scr_carepackage_allow_rcbomb "0"
//set scr_carepackage_allow_sentrygun "0"
//set scr_carepackage_allow_sentrynade "0"
//set scr_carepackage_allow_smartbomb "0"
//set scr_carepackage_allow_stealthbomber "0"
//set scr_carepackage_allow_reaper "0"

// Availabe only in the strike package
//set scr_carepackage_allow_nuke "0"
//set scr_carepackage_allow_deathmachine "0"
//set scr_carepackage_allow_artillerypro "0"
//set scr_carepackage_allow_rcbombpro "0"

// Body armor care pacakge award. Dvar sets max damage the body armor will take before it is destroyed.
// Max is 200. Default value is the same as player max health.
// set scr_bodyarmor_damage "200"

// Care Package heli height array. This dvar string is used to force care package drop height if the default does not work.
// Note: some maps might also need to add a drop height check for the final resting point.
// Format "mapname;forcedheight;mapname2;forcedheight2"
// set scr_carepackage_dropheight_array "mp_townville;900" //NO LONGER USED

//******************************************************************************
// SAM Launcher
//******************************************************************************
// set scr_hardpoint_allow_sam_turret "0"
// set scr_hardpoint_samlauncher_streak "1" //NOT USED
// set scr_announce_enemy_samlauncher_inbound "1"

// set scr_sam_missile_damage "500" //Default 500. Range 500-5000
// set scr_sam_health "500" // Default 200. Range 100-1000. Melee is automatic kill.
// set scr_sam_timer "1000" //Default 120. Range 30 - 1000. In seconds.
// set scr_sam_reload_time "2" //Default 2. Range 2-15. In seconds.
// set scr_sam_maxammo "20" //Valid 10-1000. Default 20 rounds. NOT USED YET

// How close the heli must be for the launcher to attack. It must also 'see' the heli.
// set scr_vehicle_engage_distance "5000" //range 1000 - 10000. default 5000. 



//******************************************************************************
// Pavelow minigunner (hammer)
//
// Set maplists only if automatically calculated values are unusually high or low
// Rotation is a random distance between 1000 and the farthest spawnpoint
// Hover is time in seconds to remain at each location (center + 6 compass points)
//******************************************************************************
//Do not remove backlot and block from the maplist.
set scr_hammer_height_maplist "mp_backlot;1000;mp_bloc;2000"
set scr_hammer_rotation_maplist "mp_backlot;3000;mp_bloc;2000"
set scr_hammer_hover_time "10"

//******************************************************************************
// Smartbomb
//******************************************************************************
// set scr_hardpoint_allow_smartbomb "1"
// set scr_announce_enemy_smartbomb_inbound "1"
// set scr_smartbomb_timer "60" //Default 30. Range 20-60
// set scr_smartbomb_attacks "4" //default 3. range 1-6
// set scr_smartbomb_radius "1500" //default 1500. range 1000 - 5000
// set scr_smartbomb_height "1500" //default 1500. range 1000 - 5000
// set scr_smartbomb_maxdamage "1000" //default 1000. range 512-2000
// set scr_smartbomb_mindamage "200" //default 200. range 10-300. must be lower than maxdamage
// set scr_smartbomb_damage_radius "1024" //default 512. range 256-1024
// set scr_smartbomb_rotationtime "60" //default 60. range 30-240: time for one full rotation in seconds.

//Number of points along the compass to check for an open path. 8 is usually sufficient( 4 corners + NSEW).
// set scr_smartbomb_compass_paths "8" //Default 8. Range 4-14.

// All custom heights are kept in a list to help with dvar limits. method is "mapname;mapheight"
// Do not add to list unless necessary
// Example. DO not remove block.
// set scr_smartbomb_height_maplist "mp_al_jabal;3100;mp_townville;1010;mp_bloc;2000"

// Secondary damage for players that might be behind obstructions. Experimental.
// set scr_smartbomb_secondary_damage "0" //default 0


//******************************************************************************
// Artillery
//******************************************************************************
// set scr_hardpoint_allow_artillery "1"
// set scr_announce_enemy_artillery_inbound 1"
// set scr_artillery_radius "512" //Default 512. Range 100-1000
// set scr_artillery_damage "500" //Default 500. Range 100-1000
// set scr_artillery_accuracy "2.0" //NOT USED YET.

//******************************************************************************
// Stealth Bomber
//******************************************************************************
// set scr_hardpoint_allow_stealthbomber "1"
// set scr_announce_enemy_stealthbomber_inbound "1"

//******************************************************************************
// Mininuke
// Radiation radius is 1.5 times blast radius
// Actual radiation timer (for damage per second) depends on distance from the blast center.
// Radiation friendly fire, even if no blast damage, will last for 1/2 normal timer.
//******************************************************************************
// set scr_hardpoint_allow_mininuke "1"
// set scr_announce_enemy_mininuke_inbound "1"

// set scr_mininuke_blast_max_damage "100" //Default 500. Range 100-1500
// set scr_mininuke_blast_radius "700" //Default 1000. Range 256-1500

// set scr_mininuke_radiation_max_timer "20" //Default 30. Range 10-30. In seconds.
// set scr_mininuke_radiation_damage "50" //Default 5. Range 5-20.
// set scr_mininuke_radiation_friendlyfire "1" //Default 0.
//******************************************************************************
// Overwatch - Uses standard heli dvars for targeting etc.
//******************************************************************************
// set scr_hardpoint_allow_overwatch "1"
// set scr_announce_enemy_overwatch_inbound "1"

//******************************************************************************
// Sentrygun
//******************************************************************************
// set scr_hardpoint_allow_sentrygun "1"
// set scr_announce_enemy_sentry_inbound "1"
// set scr_sentry_time "120" //Default 120. Range 60 - 2000. In seconds.
// set scr_sentry_health "200" //Default 200. Range 100 - 5000
// set scr_sentry_range "2000" //Default 2000. Valid range 500-5000
// set scr_sentry_maxammo "200" //Default 200. valid range 100 - 1000
// set scr_sentry_clip "50" //Default 50. valid range 10-100
// set scr_sentry_spawnprotection "5" //default 5. Valid range 5-15 seconds.
// set scr_sentry_drop_on_death "1" //default 1.

//******************************************************************************
// Sentrynade
//******************************************************************************
// set scr_hardpoint_allow_sentrynade "1"
// set scr_announce_enemy_sentrynade_inbound "1"
// set scr_sentrynade_time "120" //Default 120. Range 60 - 2000. In seconds.
// set scr_sentrynade_health "200" //Default 200. Range 100 - 5000
// set scr_sentrynade_visual_range "4000" //Default 4000. Range 2500 - 8000
// set scr_sentrynade_maxammo "15" //Default 30. valid range 10-60
// set scr_sentrynade_clip "1" //Default 3. Range 1-3

//******************************************************************************
// Predator Strike
//******************************************************************************
// set scr_hardpoint_allow_predator "1"
// set scr_announce_enemy_predator_inbound "1"
// set scr_predator_damage_radius "300" //Default 300. Range 100 - 1000
// set scr_predator_max_speed //Default 200. Range 100-400. Be sure it is more than speed.
// set scr_predator_timer //Default 20. Range 5 - 60. Flight time before detonation.

// max and min damage is a linear line between the origin of the explosion and max damage radius.
// set scr_predator_max_damage "300" //default 300. range 200 - 1000
// set scr_predator_min_damage "100" //default 10. range 10-100


//******************************************************************************
//  Tactical Nuke
//******************************************************************************
// set scr_hardpoint_allow_nuke "1"
// set scr_level_endgame_nuke "1" //default 0
// set scr_nuke_timer "10"
// set scr_announce_enemy_nuke_inbound "1"
// set scr_nuke_jammer_timer "10"

// Kills required. Default 25, range 15-30;
// set scr_tactical_nuke_required_kills 15

//******************************************************************************
// AC130 SETTINGS
// 0 - Disabled. 1 - enabled(default)
//******************************************************************************
// set scr_hardpoint_allow_ac130 "1"
// set scr_announce_enemy_ac130_inbound "1"
// set scr_ac130_chat "1" //Default 1.
// set scr_ac130_health "1500" //Default 1500. Range 500 - 10000
// set scr_ac130_timer "30" //Default 30. Range 30 - 3000

// set scr_ac130_rotation_speed "30" //Default 60. Range 30-120. In seconds.
// set scr_ac130_rotation_radius "4000" //default 4000. Range 1000 - 10000
// set scr_ac130_rotation_radius_mp_backlot "3500" //per-map

// set scr_ac130_damage_bullet "0.25"   		// 0.25, 0, 1 default, min, max
// set scr_ac130_damage_projectile "0.5"		// 0.5, 0, 1
// set scr_ac130_arrive "0" //ac130 fly-in sequence from outside of the play area. Default is 1

// Important: For the AC130 to work it must be within the map boundaries.
// Default height/radius values on small maps will likely have to be lowered.
// If you see black space then the ac130 is either too high or too far away.

//All custom heights are kept in a list to help with dvar limits. method is "mapname;mapheight"
//Do not add to list unless necessary
set scr_ac130_height_maplist "mp_al_jabal;3150;mp_arkona;2700"


//******************************************************************************
// RCBOMB SETTINGS
//******************************************************************************
// set scr_hardpoint_allow_rcbomb "1"
// set scr_announce_enemy_rcbomb_inbound "1"

// set scr_rcbomb_timer "30" //Default 30. Valid range 20 - 120. In seconds
// set scr_rcbomb_health "100" // Default 100. Valid range 50 - 200. Melee = automatic kill.
// set scr_rcbomb_speed_modifier "1.0" //Default 0.5. valid range 0.0 - 1.0. Fraction in addition to normal player speed.

//Min/max damage done at farthest/closest point of the rc-xd explosion radius.
// set scr_rcbomb_radius "256" //Default 256. valid range 100 - 1000
// set scr_rcbomb_mindamage //default 50. range 0-200
// set scr_rcbomb_maxdamage //default 200. range 200-1000

//Replace default blinking lights with a green trail for frienly players. Enemies see no FX.
set scr_rcbomb_trail "1" //default 0

// Controls if the RC-XD should be able to jump, mantle, and climb ladders.
// set scr_rcbomb_mobile "1" //default 0

//Maximum range of the RC-XD jammer. RC must be beyond this range to trigger.
//set scr_rcbomb_jammer_range "256" //range 256-512

// In objective games, allow the RC capture flags in domination, return the friendly flag, capture the HQ, or unfreeze.
// Set default for all four gametypes or only the gametype desired in mixed servers. Default is disabled ( set to 0 ).
//set scr_rcbomb_objectives "1"
//set scr_rcbomb_objectives_ctf "1"
//set scr_rcbomb_objectives_ftag "1"
//set scr_rcbomb_objectives_dom "1"
//set scr_rcbomb_objectives_koth "1"
//set scr_rcbomb_objectives_fdom "1" //freezetag domination

//THIS TO BE REMOVED
// If enabled, will deflect the RC from players with the Eavesdrop perk (unless the RC player has tacmask);
// 0 = disabled (default), 1: no trigger for 3 seconds, 2: option 1 + slow speed for 3 seconds. 2 = forced deflection (MAY NOT WORK RIGHT)
// set scr_rcbomb_jamming "1"


//******************************************************************************
// REAPER SETTINGS
//******************************************************************************
// set scr_hardpoint_allow_reaper "1"
// set scr_announce_enemy_reaper_inbound "1"
// set scr_reaper_timer "30" //Default 30. Valid range 20 - 120. In seconds
// set scr_reaper_health "200" // Default 200. Valid range 100 - 1000.
// set scr_reaper_rotationtime "30" //Default 60. valid range 30 - 120. Time to complete one loop, in seconds.
// set scr_reaper_radius "2500" //default 2000. range 1000-5000

// All custom heights are kept in a list to help with dvar limits. method is "mapname;mapheight"
// Do not add to list unless necessary
// Example:
// set scr_reaper_height_maplist "mp_al_jabal;3000"


//******************************************************************************
// NOVAGAS GRENADE - Standard novagas (with 3X perk) cannot be changed.
// Extended Novagas (no 3X perk allowed) has these settings.
//******************************************************************************
// set scr_novagas_recovery_time "1" //Default 1. Range 1 - 10 seconds.
// set scr_novagas_toxicity_duration "10" //Default 14. Range 10 - 20 seconds.
// set scr_novagas_hardcore_damage "5" //Default 5. Range 5 - 10 per second.
// set scr_novagas_softcore_damage "3" //Default 13. Range 5-20.
// set scr_novagas_radius "220" // default 220, range 150-260.


//******************************************************************************
// EMP
//******************************************************************************
// set scr_emp_timer "30" //Default 30. Range 15 - 120. In seconds.
// set scr_emp_range "256" //Default 256. Range 128-512

//******************************************************************************
// These are used to control buttons in the loadout menu.
// Future: run automatic checks instead of setting dvars
//******************************************************************************
// Disable streak choices in the menu loadout
//set scr_streak_one_disabled "1"
//set scr_streak_two_disabled "1"
//set scr_streak_three_disabled "1"

//******************************************************************************
//  weapons: mortars, smartbomb, b2, ac130, mininuke, counteruav
// Streaks chosen at random. All explosives damage (except mininuke) use mortar vars.
//******************************************************************************

//Global switch to turn off ambient weapons. Default is 1.
set scr_ambient_weapons_enable "0"

//Time in between ambient strikes.
// set scr_ambient_weapons_timer "60" //default 120. range 60-300

// Set if the worst player in the game should be awarded ambient kills.
// set scr_ambient_weapons_playerscore "1" //default 0

//Show ambient stealth airstrikes on an active minimap. Default is 0.
// set scr_show_ambient_airstrike "1"

// enable/disable specific ambient weapons. Default is enabled
//set scr_ambient_weapons_mortars "0"
//set scr_ambient_weapons_airstrike "0"
//set scr_ambient_weapons_stealthbomber "0"
//set scr_ambient_weapons_mininuke "0"
//set scr_ambient_weapons_ac130 "0"
//set scr_ambient_weapons_cuav "0"
//set scr_ambient_weapons_emp "0"
//set scr_ambient_emp_timer "15" //default 15, range 10-20

// used by mortars and ac130
// set scr_mortardmg "1" //default 1 (valid 0 or 1)
// set scr_mortardmgradius "256" //default 256 (valid 256 - 512). 256 is nade radius
// set scr_mortarmindmg "20" //default 20 (valid 0 - 400)
// set scr_mortarmaxdmg "30" // default 30 (valid 0 - 800) Do not make less than min damage


//******************************************************************************
// No primary or no secondary weapon on spawn. Does not affect loadout menu.
// Default 0 (disabled)
//******************************************************************************
// set scr_weapon_no_primary "1" //Leave at default for OITC
// set scr_weapon_no_secondary "1" //Leave at default for OITC

// Used to control max damage from melee. Stock is 200 and kills all player with one hit.
// setting to 100 will kill normal players with one hit but juggy requires two. Etc.
// Do not set this var if it already is in the wdm cfg
// set scr_wdm_melee "200" //Range 10 - 200.

// Respawn location for RC/Predator etc. Spawn point (default 0) or streak activate location (1).
// Please leave enabled at this time for testing.
set scr_streak_activation_spawn "1" //default 0

// Use this to decide whether or not streak respawns will retain their original loadouts or start fresh.
// Note that this will also replace all weapons to their original loadouts.
// set scr_respawn_restore_loadout "1" //default 1. range 0-1.

// Red target markers used for streak weapons. 1 = red square. 2 = red arrow.
//set scr_streak_target_markers "0" //default 2. 

// Death streaks are 3-5-7 and random between an ability, armor( +20, +30 or +40), or extra points for first kill (+25, +50, or +75).
// Abilities: 3 - Juiced (30 seconds), 5 - Stealth (30 seconds), Hollowpoint (until first kill)
// Recommended they be disabled for round based games with no respawn.
// set scr_deathstreaks_enabled "1" //default 1
// set scr_deathstreaks_bonus_modifier "10" //range 1 - 10. default 1

// If enabled, there is a small chance that a dropped weapon will be boobytrapped with a small explosive device.
// Weapons with traps have one round in the chamber. Damage wont kill unless the player is already significantly hurt.
// set scr_dropped_weapon_trap "0" //default is 0

// Remote streaks need a minimum of a crouching position to avoid respawning in game geometry and getting stuck.
// Crouch does not always work %100 of the time but requring standing should.
// Note: the player does not have to stand he just needs to be able to. Default 0 for crouch+stand. 1 for stand only.
set scr_triggerstance "1"

// Delay for 'remote' streaks on spawn. Be sure this number is at least the same as or longer than the longest delay for explosives.
// Otherwise the correct loadout may not be saved on streak activation. Default is 5 seconds. Range 0-30
// set scr_hardpoint_delay "5"

//Start body armor: Gives a set amount of deleptable body armor on spawn. Default is 0.
//Useful for giving some extra protection at the beginning that does not regenerate.
//ONLY USE THIS IF YOU DISABLE THE JUGGERNAUT/BODYARMOR PERK!
//set scr_start_bodyarmor "70"

// Bounty system. This is an addition to the anti-camping sytem. Anti-camping must also be enabled.
// When the player camps a price/points is placed on him. Whoever kills the camper collects the points.
// Bounty persists even if the player stops camping.
set scr_bounty_enable "1"

// Bounty increased this amount for every 10 seconds the player is caught camping.
// Max possible bounty is 250 plus 10 times the award. (250 + 25*10) = 500
// set scr_bounty_award "15" //default 10. range 10-25

// Used for care package traces only so it wont land on ceilings or under the map.
// Default of 1000 works for most maps without issue but can be set to a fixed number if default is too high or low.
// Syntax "mapname;height;mapname2;height" etc.
// Use only if necessary.

//NOT SURE THIS ONE IS STILL USED BUT LEAVE FOR NOW
set scr_carepackage_dropheight_maplist "mp_d2c;500;mp_crownfortv2;500;mp_townville;500;mp_highrise;1200;mp_rundown;1400"

set scr_carepackage_height_maplist "mp_d2c;500;mp_crownfortv2;500;mp_townville;500;mp_highrise;1200;mp_rundown;1400;pb_frost;1900"

//By default the mod looks for the highest heli node to use as a fixed value for the various air attack heights.
//If the map lacks heli support a node will be calculated based on map traces, but not guaranteed to work in all cases.
//If neither of the above works use this maplist to set a manual height for the node at the center of the map.
// Syntax "mapname;height;mapname2;height" etc.
set scr_airsupport_node_maplist "mp_townville;950;mp_skidrow;1100;mp_rundown;1300;mp_karachi;2000"

// These allow a locator for the heli first-hover position and stealth bomber directional strikes.
// Note: this ability, and other things in the mod, requires the map to have minimap entities.
set scr_heli_locator_experiment "1"
set scr_b2_locator_experiment "1"
//set scr_airstrike_locator_experiment "1"

//Instead of the hardpoint specific dialogs (RC ready for deployment) and sound effects do a simple sound sfx for all. Default 0
//set scr_generic_hardpoint_inform "1"

// Shootable player clones while players are using streaks like the RC-XD.
// If the clone is 'killed' the player dies while in the streak. Default is enabled.
// If disabled the clone is invisible and cannot be shot.
// Advised to leave enabled for objective games with carry items (flags, bombs etc)
// set scr_streak_clone_damage "1"

//Set this dvar to 1 to use the default viewhands instead of the mw2 viewhands. Otherwise leave it commented out.
//Note: This will have no effect on the game nor asset limits. Woodland snipers are unchanged.
//set scr_viewhands_default "1"

